/* ===============================
SECTION ENTETE
=============================== */
section.module-entete {
    overflow: hidden;
    position: relative;
}
.module-entete .container.full{
  border-radius: 24px;
  padding: 90px 20px;
  position: relative;
  z-index:1;
}

section.module-entete.bg-none.is-centered .container.full {
    padding-bottom: 0 !important;
}

/* ===============================
CONTENU
=============================== */


.module-entete__content{
  position: relative;
  z-index: 2;
}

/* centré */
.module-entete.is-centered .module-entete__content{
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

/* aligné gauche */
.module-entete:not(.is-centered) .module-entete__content{
  margin-left: 0;
  margin-right: 0;
  text-align: left;
}

.media-right .module-entete__content, .media-left .module-entete__content {
    text-align: left !important;
}

/* ===============================
MODE AVEC IMAGE
=============================== */

.module-entete.has-media-image .module-entete__split{
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 60px;
  position: relative;
  z-index: 2;
}

.module-entete.has-media-image .module-entete__split.media-left{
  flex-direction: row;
}

.module-entete.has-media-image .module-entete__split.media-right{
  flex-direction: row;
}

.module-entete.has-media-image .module-entete__content{
  flex: 1 1 50%;
}

.module-entete.has-media-image .module-entete__media{
  flex: 1 1 50%;
}

.module-entete__media-img{
  display: block;
  width: 100%;
  height: auto;
  border-radius: 24px;
  object-fit: cover;
	    aspect-ratio: 1 / 1;
}

/* ===============================
TITRE / TEXTE
=============================== */

.module-entete__title{
  margin: 0 0 18px;
  line-height: 1.1;
}

.module-entete__text{
  position: relative;
}

.module-entete__cta{
  margin-top: 26px;
}

/* ===============================
IMAGE BACKGROUND
=============================== */

.module-entete.has-bg-image{
  color: #fff;
}

/* ===============================
OVERLAY
=============================== */

.module-entete__overlay{
  position: absolute;
  inset: 0;
  z-index: 1;
  background: #000;
}

/* Variantes overlay */
.module-entete__overlay.overlay-fonce{ background:#000; }
.module-entete__overlay.overlay-clair{ background:#fff; }
.module-entete__overlay.overlay-accent{ background:var(--color-accent); }
.module-entete__overlay.overlay-accent-clair{ background:var(--color-accent-light); }

/* ===============================
COULEUR DU CONTENU
=============================== */
/*
.module-entete .container.bg-dark-2{
  background: var(--color-main);
  color:#fff;
}

.module-entete .container.bg-light-2{
  background: var(--color-sec);
  color:#1C1F2A;
}

.module-entete .container.bg-accent-2{
  background: var(--color-accent);
  color:#fff;
}

.module-entete .container.bg-accent-light-2{
  background: var(--color-accent-light);
  color:#1C1F2A;
}*/

/* ===============================
RESPONSIVE
=============================== */

@media (max-width:768px){

  .module-entete .container.full{
    padding: 60px 20px;
  }

  .module-entete__content{
    max-width: 100%;
  }

  .module-entete.has-media-image .module-entete__split{
    flex-direction: column !important;
    gap: 30px;
  }

  .module-entete.has-media-image .module-entete__content,
  .module-entete.has-media-image .module-entete__media{
    max-width: 100%;
    flex: 1 1 100%;
  }

  .module-entete__media-img{
    width: 100%;
  }

}